<div class="col-xs-12">
  <div class="jumbotron text-center">
    <h1>Add Item Below</h1>
  </div>

  <form name="groceryForm">
    <div class="alert alert-danger" role="alert" ng-show="groceryForm.$dirty && !groceryForm.$valid">
      <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"/>
      <span class="sr-only">Error:</span>
      Enter a valid grocery item!
    </div>

    <div class="form-group">
      <input type="text" class="form-control" placeholder="Grocery Item" ng-model="groceryItem.name"
             ng-pattern="/^[a-zA-Z]*$/" ng-model="groceryItem.name" required/>
    </div>

    <div class="form-group">
      <a href="#/" class="btn btn-success btn-lg btn-block" ng-click="groceryForm.$valid && save()">
        <span class="glyphicon glyphicon-pushpin"/>
        Save
      </a>
    </div>

    <div class="form-group">
      <a href="#/" class="btn btn-success btn-lg btn-block">
        <span class="glyphicon glyphicon-remove"/>
        Cancel
      </a>
    </div>
  </form>
</div>